Developer docs
Create Connector
POST
/v1/connectors
const url = 'https://example.com/v1/connectors';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"kind":"example","name":"example","config":{},"secret_ref":"example","schedule_seconds":300,"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/connectors \ --header 'Content-Type: application/json' \ --data '{ "kind": "example", "name": "example", "config": {}, "secret_ref": "example", "schedule_seconds": 300, "enabled": true }'Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Create Connector V1 Connectors Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}